classification
Title: sqlite3 Controlling Transactions documentation not updated
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: berker.peksag, docs@python, ghaering, malin, palaviv, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2016-12-31 16:04 by palaviv, last changed 2017-03-24 23:41 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
sqlite-transaction-doc.patch palaviv, 2016-12-31 16:04 review
Pull Requests
URL Status Linked Edit
PR 313 merged berker.peksag, 2017-02-26 15:12
PR 319 merged berker.peksag, 2017-02-26 15:34
Messages (7)
msg284396 - (view) Author: Aviv Palivoda (palaviv) * Date: 2016-12-31 16:04
commit 284676cf2ac8 changed the sqlite3 module so it will no longer implicitly commit an open transaction before DDL statements. The docs have been updated but there is still an incorrect paragraph that has not been removed. 
Attached is a patch that remove the old paragraph.
msg286217 - (view) Author: Aviv Palivoda (palaviv) * Date: 2017-01-24 21:09
I would just like to note that I think that the correct solution is to do an implicit commit before:
1. VACUUM
2. ATTACH
3. DETACH
4. BEGIN
msg286293 - (view) Author: Ma Lin (malin) * Date: 2017-01-26 03:58
After read some issues, there are two major concerns:
1, backward compatibility.
2, implicit commit is bad, tolerates bug-prone codes.

However they are not contradictory if we print a warning when doing an implicit commit. Some messages like this:
    Warning: sqlite3 module issued an implicit commit before executing VACUUM, you should commit this transaction by yourself, that's a good habit, etc..

Then we can keep backward compatibility, and no longer commit implicitly.
msg288598 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-02-26 16:04
Thanks for the patch, Aviv!
msg290379 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-03-24 23:40
New changeset 893e86e9d3c0caeb878ccb1120c7259e022f3b68 by Berker Peksag in branch '3.6':
bpo-29121: Remove outdated documentation about transactions (#313) (#319)
https://github.com/python/cpython/commit/893e86e9d3c0caeb878ccb1120c7259e022f3b68
msg290388 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-03-24 23:41
New changeset fe70d924bb6106d4c21eb414f4a1ba1324e8f46a by Berker Peksag in branch 'master':
bpo-29121: Remove outdated documentation about transactions (#313)
https://github.com/python/cpython/commit/fe70d924bb6106d4c21eb414f4a1ba1324e8f46a
msg290389 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-03-24 23:41
New changeset fe70d924bb6106d4c21eb414f4a1ba1324e8f46a by Berker Peksag in branch 'master':
bpo-29121: Remove outdated documentation about transactions (#313)
https://github.com/python/cpython/commit/fe70d924bb6106d4c21eb414f4a1ba1324e8f46a
History
Date User Action Args
2017-03-24 23:41:51berker.peksagsetmessages: + msg290389
2017-03-24 23:41:50berker.peksagsetmessages: + msg290388
2017-03-24 23:40:26berker.peksagsetmessages: + msg290379
2017-02-26 16:04:48berker.peksagsetstatus: open -> closed

type: behavior
assignee: docs@python
components: + Documentation

nosy: + docs@python
messages: + msg288598
resolution: fixed
stage: resolved
2017-02-26 15:34:20berker.peksagsetpull_requests: + pull_request280
2017-02-26 15:12:37berker.peksagsetpull_requests: + pull_request274
2017-01-26 03:58:07malinsetmessages: + msg286293
2017-01-25 06:59:21malinsetnosy: + malin
2017-01-24 21:09:21palavivsetmessages: + msg286217
2016-12-31 16:04:55palavivcreate